Page MenuHomePhabricator

Warn when 'assume_nonnull' infers nullability within an array.
ClosedPublic

Authored by jordan_rose on Oct 28 2016, 5:45 PM.

Details

Reviewers
doug.gregor
Summary

...or within a reference. Both of these add an extra level of indirection that make us less certain that the pointer really was supposed to be non-nullable. However, changing the default behavior would be a breaking change, so we'll just make it a warning instead.

Depends on D25850. Part of rdar://problem/25846421.

Diff Detail

Repository
rL LLVM

Event Timeline

jordan_rose retitled this revision from to Warn when 'assume_nonnull' infers nullability within an array..
jordan_rose updated this object.
jordan_rose added a reviewer: doug.gregor.
jordan_rose set the repository for this revision to rL LLVM.
jordan_rose added a subscriber: cfe-commits.

Depends on D26108 too, for the tests to apply cleanly.

doug.gregor accepted this revision.Nov 9 2016, 1:15 PM
doug.gregor edited edge metadata.

LGTM!

This revision is now accepted and ready to land.Nov 9 2016, 1:15 PM
jordan_rose closed this revision.Nov 10 2016, 4:49 PM

Committed as rL286521.